/**
* @file CommonModuleAPI.cpp
 * @brief Implementation stub for DPM module interface
 *
 * This file serves primarily as a documentation reference for the module
 * interface. The actual implementations of dpm_get_config and dpm_log are
 * provided by the DPM core, while dpm_module_execute, dpm_module_get_version,
 * and dpm_get_description must be implemented by each module.
 *
 * @copyright Copyright (c) 2025 SILO GROUP LLC
 * @author Chris Punches <chris.punches@silogroup.org>
 *
 * Part of the Dark Horse Linux Package Manager (DPM)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 *
 * For bug reports or contributions, please contact the dhlp-contributors
 * mailing list at: https://lists.darkhorselinux.org/mailman/listinfo/dhlp-contributors
 */

#include "module.hpp"

/**
 * @note The implementation of dpm_get_config and dpm_log are provided by the DPM core.
 * Each module must implement dpm_module_execute, dpm_module_get_version, and dpm_get_description.
 */